#include <iostream>

using namespace std;

int main()
{
  long long int x1,y1,x2,y2;
  scanf("%lld %lld %lld %lld",&x1,&y1,&x2,&y2);
  if (x1==x2 || y1==y2){
    printf("%d",2);
  }else{
    printf("%d",1);
  }
}